---Modificado 'ins_equ_alquiler' para actualizar y tomar el consecutivo del alquiler
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_equ_alquiler]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_equ_alquiler]
GO
CREATE PROCEDURE [ins_equ_alquiler]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_alquiler varchar(300),
		@p_alquiler_codigo varchar(100),
		@p_fechaCompromiso_ff smalldatetime,
		@p_id_documento_ot int,
		@p_id_sucursal int,
		@p_id_tercero int,
		@p_fechaFin_ff smalldatetime,
		@p_id_subtipoDocumento int,
		@p_mesVencido bit,
		@p_alquiler_numero int
		
AS
BEGIN
---El tipo de documento para el alquiler, siempre debe ser 9

declare @v_idtipo int 
set @v_idtipo= 9

select @p_alquiler_numero=max(consecutivo) 
from doc_subtipodocumento
where prefijo = (select top 1 prefijo from doc_subtipoDocumento where id_tipoDocumento=9) and active = 1
and id_tipodocumento = @v_idtipo

	DECLARE @v_id int
		INSERT INTO [equ_alquiler]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[alquiler],
			[alquiler_codigo],
			[fechaCompromiso_ff],
			[id_documento.ot],
			[id_sucursal],
			[id_tercero],
			[fechaFin_ff],
			[id_subtipoDocumento],
			[mesVencido],
			[alquiler_numero])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_alquiler,
			@p_alquiler_codigo,
			@p_fechaCompromiso_ff,
			@p_id_documento_ot,
			@p_id_sucursal,
			@p_id_tercero,
			@p_fechaFin_ff,
			@p_id_subtipoDocumento,
			@p_mesVencido,
			@p_alquiler_numero)
		SET @v_id = scope_identity()
UPDATE [equ_alquiler] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
UPDATE doc_subtipodocumento
set consecutivo=@p_alquiler_numero+1 
where id_tipodocumento= @v_idtipo and prefijo = (select top 1 prefijo from doc_subtipoDocumento where id_tipoDocumento=9)
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
